#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	FFT
Summary:	Math::FFT - Perl module to calculate Fast Fourier Transforms
Summary(pl.UTF-8):	Math::FFT - moduł Perla do obliczania szybkiej transformaty Fouriera
Name:		perl-Math-FFT
Version:	1.28
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	de12537d06eb90e8a4d80b765ceb8252
URL:		http://search.cpan.org/dist/Math-FFT/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements some algorithms for calculating Fast Fourier
Transforms for one-dimensional data sets of size 2^n.

%description -l pl.UTF-8
Ten moduł zawiera implementacje algorytmów do obliczania szybkiej
transformaty Fouriera dla jednowymiarowych zbiorów danych rozmiaru
2^n.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Math/FFT.pm
%dir %{perl_vendorarch}/auto/Math/FFT
%{perl_vendorarch}/auto/Math/FFT/FFT.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/FFT/FFT.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-FFT.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 15868dd
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> f5f398f
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> e8169d4
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5320f69
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 511ff46
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> df20150
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 60bb417
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 4a6873b
- removed obsolete types patch

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 66f197c
- obsolete

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 8d1910e
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> d758423
- up to 1.28, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ea062fc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2fbd08f
- converted to UTF-8

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 09108e5
- updated to 0.26

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 0c22671
- formatting

* Sun May 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 4820e5c
- added types patch (fixes SEGV on 64-bit archs); release 2

* Sun May 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 2dd58a2
- fix missing prototypes which lead to SEGV on 64-bit archs

* Thu May 06 2004 ankry <ankry@pld-linux.org> ee87cc2
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 9f54c68
- license fixes, unification

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> ac1af66
- new

